package org.somda.protosdc.crypto

/**
 * Data class to provide key and trust store information.
 *
 * @see [More information on key and trust stores](https://www.cloudera.com/documentation/enterprise/5-10-x/topics/cm_sg_create_key_trust.html)
 */
public data class CryptoStore(
    val keyStoreBytes: ByteArray,
    val keyStorePassword: String,
    val trustStoreBytes: ByteArray,
    val trustStorePassword: String
) {
    // auto-generated by IntelliJ
    override fun equals(other: Any?): Boolean {
        if (this === other) return true
        if (javaClass != other?.javaClass) return false

        other as CryptoStore

        if (!keyStoreBytes.contentEquals(other.keyStoreBytes)) return false
        if (keyStorePassword != other.keyStorePassword) return false
        if (!trustStoreBytes.contentEquals(other.trustStoreBytes)) return false
        if (trustStorePassword != other.trustStorePassword) return false

        return true
    }

    // auto-generated by IntelliJ
    override fun hashCode(): Int {
        var result = keyStoreBytes.contentHashCode()
        result = 31 * result + keyStorePassword.hashCode()
        result = 31 * result + trustStoreBytes.contentHashCode()
        result = 31 * result + trustStorePassword.hashCode()
        return result
    }
}